### Signal

# Gtk DragSource::drag-end

#### Declaration

    void
    drag_end (
      GtkDragSource* self,
      GdkDrag* drag,
      gboolean delete_data,
      gpointer user_data
    )

#### Description [src]

Emitted on the drag source when a drag is finished.

A typical reason to connect to this signal is to undo things done in `GtkDragSource::prepare` or `GtkDragSource::drag-begin` handlers.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`drag`

  Type: `GdkDrag`

  The `GdkDrag` object.

  The data is owned by the caller of the function.

`delete_data`

  Type: `gboolean`

  `TRUE` if the drag was performing `GDK_ACTION_MOVE`, and the data should be deleted.